Loading...
Searching...
No Matches
trace.h File Reference
`#include <qjsonobject.h>`
`#include <vector>`
`#include <memory>`
`#include <QDataStream>`
`#include "pappsomspp/export-import-config.h"`
`#include "pappsomspp/core/types.h"`
`#include "pappsomspp/core/precision.h"`
`#include "pappsomspp/core/trace/datapoint.h"`
`#include "pappsomspp/core/processing/filters/filterinterface.h"`

Go to the source code of this file.

## Classes

class | pappso::Trace
| A simple container of DataPoint instances. More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< Trace > | pappso::TraceSPtr
typedef std::shared_ptr< const Trace > | pappso::TraceCstSPtr

## Functions

PMSPP_LIB_DECL QDataStream & | pappso::operator<< (QDataStream &out, const Trace &trace)
PMSPP_LIB_DECL QDataStream & | pappso::operator>> (QDataStream &out, Trace &trace)
std::vector< DataPoint >::iterator | pappso::findFirstEqualOrGreaterX (std::vector< DataPoint >::iterator begin, std::vector< DataPoint >::iterator end, const double &value)
| find the first element in which X is equal or greater than the value searched important : it implies that Trace is sorted by X
std::vector< DataPoint >::const_iterator | pappso::findFirstEqualOrGreaterX (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, const double &value)
std::vector< DataPoint >::iterator | pappso::findDifferentYvalue (std::vector< DataPoint >::iterator begin, std::vector< DataPoint >::iterator end, const double &y_value)
| find the first element in which Y is different of value
std::vector< DataPoint >::const_iterator | pappso::findDifferentYvalue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, const double &y_value)
std::vector< DataPoint >::iterator | pappso::findFirstGreaterX (std::vector< DataPoint >::iterator begin, std::vector< DataPoint >::iterator end, const double &value)
| find the first element in which X is greater than the value searched important : it implies that Trace is sorted by X
std::vector< DataPoint >::const_iterator | pappso::findFirstGreaterX (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, const double &value)
std::vector< DataPoint >::iterator | pappso::minYDataPoint (std::vector< DataPoint >::iterator begin, std::vector< DataPoint >::iterator end)
| find the element with the smallest Y value (intensity)
std::vector< DataPoint >::const_iterator | pappso::minYDataPoint (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
std::vector< DataPoint >::iterator | pappso::maxYDataPoint (std::vector< DataPoint >::iterator begin, std::vector< DataPoint >::iterator end)
| find the element with the greatest Y value (intensity)
std::vector< DataPoint >::const_iterator | pappso::maxYDataPoint (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
std::vector< DataPoint >::const_iterator | pappso::moveLowerYRigthDataPoint (const Trace &trace, std::vector< DataPoint >::const_iterator begin)
| Move right to the lower value.
std::vector< DataPoint >::const_iterator | pappso::moveLowerYLeftDataPoint (const Trace &trace, std::vector< DataPoint >::const_iterator begin)
| Move left to the lower value.
double | pappso::sumYTrace (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double init)
| calculate the sum of y value of a trace
double | pappso::meanYTrace (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
| calculate the mean of y value of a trace
double | pappso::medianYTrace (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
| calculate the median of y value of a trace
double | pappso::quantileYTrace (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double quantile)
| calculate the quantile of y value of a trace
double | pappso::areaTrace (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
| calculate the area of a trace
Trace | pappso::flooredLocalMaxima (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double y_floor)
Trace | pappso::incrementByValueX (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double increment)
Trace | pappso::incrementByValueY (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double increment)
| Q_DECLARE_METATYPE (pappso::Trace)
| Q_DECLARE_METATYPE (pappso::Trace *)

## Variables

int | traceMetaTypeId
int | tracePtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::Trace * |  | ) |

References traceMetaTypeId, and tracePtrMetaTypeId.

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::Trace |  | ) |

## Variable Documentation

## traceMetaTypeId

int traceMetaTypeId

extern

Definition at line 22 of file trace.cpp.

Referenced by Q_DECLARE_METATYPE().

## tracePtrMetaTypeId

int tracePtrMetaTypeId

extern

Definition at line 23 of file trace.cpp.

Referenced by Q_DECLARE_METATYPE().